# This file was generated by running 'miaxml2nipype.py /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/doc/mia-2ddistance.xml /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2ddistance.py'
# '/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2ddistance.py' can be created by running 'mia-2ddistance --help-xml >/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2ddistance.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2ddistance_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image""", argstr="--in-file %s", exists=True , mandatory = True )
	distance_file = traits.File( desc="""distance field image (floating point)""", argstr="--distance-file %s", exists=True , mandatory = True )
	scale = traits.Float( desc="""distance scaling factor""", argstr="--scale %f" )
	method = traits.Enum("max", "avg", "raw",  desc="""distance measuring method""", argstr="--method %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file, '-': write to stdout", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2ddistance_OutputSpec(TraitedSpec):
	out_file = File(desc="output file, '-': write to stdout", exists = True )


#
# Task class specification
#
class mia_2ddistance(CommandLine):
	input_spec = mia_2ddistance_InputSpec
	output_spec = mia_2ddistance_OutputSpec
	_cmd = "mia-2ddistance"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2ddistance()
	print( mia_prog.cmdline)
