# This file was generated by running 'miaxml2nipype.py /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/doc/mia-2dmultiimageregistration.xml /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmultiimageregistration.py'
# '/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmultiimageregistration.py' can be created by running 'mia-2dmultiimageregistration --help-xml >/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmultiimageregistration.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmultiimageregistration_InputSpec(CommandLineInputSpec):
	levels = traits.Int( desc="""multi-resolution levels""", argstr="--levels %d" )
	optimizer = traits.String( desc="""Optimizer used for minimization""", argstr="--optimizer %s" )
	transForm = traits.String( desc="""transformation type""", argstr="--transForm %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_transform = File(desc="output transformation", argstr="--out-transform %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 2dimage/fullcost", argstr="%s")
#
# Output specification
#
class mia_2dmultiimageregistration_OutputSpec(TraitedSpec):
	out_transform = File(desc="output transformation", exists = True )


#
# Task class specification
#
class mia_2dmultiimageregistration(CommandLine):
	input_spec = mia_2dmultiimageregistration_InputSpec
	output_spec = mia_2dmultiimageregistration_OutputSpec
	_cmd = "mia-2dmultiimageregistration"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_transform']=os.path.abspath(self.inputs.out_transform)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmultiimageregistration()
	print( mia_prog.cmdline)
