# This file was generated by running 'miaxml2nipype.py /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/doc/mia-2dmyocard-icaseries.xml /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmyocard_icaseries.py'
# '/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmyocard_icaseries.py' can be created by running 'mia-2dmyocard-icaseries --help-xml >/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmyocard_icaseries.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyocard_icaseries_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input perfusion data set""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	fastica = traits.String( desc="""FastICA implementationto be used""", argstr="--fastica %s" )
	components = traits.Int( desc="""ICA components 0 = automatic estimation""", argstr="--components %d" )
	normalize = traits.Bool( desc="""normalized ICs""", argstr="--normalize" )
	no_meanstrip = traits.Bool( desc="""don't strip the mean from the mixing curves""", argstr="--no-meanstrip" )
	segscale = traits.Float( desc="""segment and scale the crop box around the LV (0=no segmentation)""", argstr="--segscale %f" )
	skip = traits.Int( desc="""skip images at the beginning of the series as they are of other modalities""", argstr="--skip %d" )
	max_ica_iter = traits.Int( desc="""maximum number of iterations in ICA""", argstr="--max-ica-iter %d" )
	segmethod = traits.Enum("delta-peak", "features", "delta-feature",  desc="""Segmentation method""", argstr="--segmethod %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	references = File(desc="File name base for the reference images. Image type and numbering scheme are taken from the input images.", argstr="--references %s" )
	save_cropped = File(desc="save cropped set of the original set to this file, the image files will use the stem of the name as file name base", argstr="--save-cropped %s" )
	save_feature = File(desc="save the features images resulting from the ICA and some intermediate images used for the RV-LV segmentation with the given file name base to PNG files. Also save the coefficients of the initial best and the final IC mixing matrix.", argstr="--save-feature %s" )

#
# Output specification
#
class mia_2dmyocard_icaseries_OutputSpec(TraitedSpec):
	references = File(desc="File name base for the reference images. Image type and numbering scheme are taken from the input images.")
	save_cropped = File(desc="save cropped set of the original set to this file, the image files will use the stem of the name as file name base")
	save_feature = File(desc="save the features images resulting from the ICA and some intermediate images used for the RV-LV segmentation with the given file name base to PNG files. Also save the coefficients of the initial best and the final IC mixing matrix.")


#
# Task class specification
#
class mia_2dmyocard_icaseries(CommandLine):
	input_spec = mia_2dmyocard_icaseries_InputSpec
	output_spec = mia_2dmyocard_icaseries_OutputSpec
	_cmd = "mia-2dmyocard-icaseries"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['references']=os.path.abspath(self.inputs.references)
		outputs['save_cropped']=os.path.abspath(self.inputs.save_cropped)
		outputs['save_feature']=os.path.abspath(self.inputs.save_feature)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyocard_icaseries()
	print( mia_prog.cmdline)
