# This file was generated by running 'miaxml2nipype.py /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/doc/mia-2dmyoseries-dice.xml /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmyoseries_dice.py'
# '/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmyoseries_dice.py' can be created by running 'mia-2dmyoseries-dice --help-xml >/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dmyoseries_dice.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyoseries_dice_InputSpec(CommandLineInputSpec):
	input = traits.File( desc="""original segmentation set""", argstr="--input %s", exists=True , mandatory = True )
	skip = traits.Int( desc="""images to skip atthe bgin of the series""", argstr="--skip %d" )
	reference = traits.Int( desc="""reference image""", argstr="--reference %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )

#
# Output specification
#
class mia_2dmyoseries_dice_OutputSpec(TraitedSpec):
	stdout = traits.Str('result from stdout')


#
# Task class specification
#
class mia_2dmyoseries_dice(CommandLine):
	input_spec = mia_2dmyoseries_dice_InputSpec
	output_spec = mia_2dmyoseries_dice_OutputSpec
	_cmd = "mia-2dmyoseries-dice"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		return outputs
	def aggregate_outputs(self, runtime=None, needed_outputs=None):
		outputs = super(mia_2dmyoseries_dice, self).aggregate_outputs(runtime, needed_outputs)
		outputs.stdout = runtime.stdout
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyoseries_dice()
	print( mia_prog.cmdline)
