# This file was generated by running 'miaxml2nipype.py /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/doc/mia-2dseriessmoothgradMAD.xml /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dseriessmoothgradMAD.py'
# '/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dseriessmoothgradMAD.py' can be created by running 'mia-2dseriessmoothgradMAD --help-xml >/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dseriessmoothgradMAD.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dseriessmoothgradMAD_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input segmentation set""", argstr="--in-file %s", exists=True , mandatory = True )
	skip = traits.Int( desc="""Skip files at the beginning""", argstr="--skip %d" )
	enlarge_boundary = traits.Int( desc="""Enlarge cropbox by number of pixels""", argstr="--enlarge-boundary %d" )
	crop = traits.Bool( desc="""crop image before running statistics""", argstr="--crop" )
	gauss = traits.Int( desc="""gauss filter width for moothing the gradient""", argstr="--gauss %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file name", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 2dimage/filter", argstr="%s")
#
# Output specification
#
class mia_2dseriessmoothgradMAD_OutputSpec(TraitedSpec):
	out_file = File(desc="output file name", exists = True )


#
# Task class specification
#
class mia_2dseriessmoothgradMAD(CommandLine):
	input_spec = mia_2dseriessmoothgradMAD_InputSpec
	output_spec = mia_2dseriessmoothgradMAD_OutputSpec
	_cmd = "mia-2dseriessmoothgradMAD"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dseriessmoothgradMAD()
	print( mia_prog.cmdline)
