# This file was generated by running 'miaxml2nipype.py /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/doc/mia-2dstackfilter.xml /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dstackfilter.py'
# '/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dstackfilter.py' can be created by running 'mia-2dstackfilter --help-xml >/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_2dstackfilter.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dstackfilter_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	type = traits.Enum("-", "@", "BMP", "DCM", "EXR", "JPEG", "JPG", "PNG", "RAW", "TIF", "TIFF", "V", "VISTA", "bmp", "dcm", "exr", "jpeg", "jpg", "png", "raw", "tif", "tiff", "v", "vista",  desc="""output file type""", argstr="--type %s" , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file name base, the actual names is created by adding the file number based on output order and the extension bysed on the 'type' parameter", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 2dstack/filter", argstr="%s")
#
# Output specification
#
class mia_2dstackfilter_OutputSpec(TraitedSpec):
	out_file = File(desc="output file name base, the actual names is created by adding the file number based on output order and the extension bysed on the 'type' parameter", exists = True )


#
# Task class specification
#
class mia_2dstackfilter(CommandLine):
	input_spec = mia_2dstackfilter_InputSpec
	output_spec = mia_2dstackfilter_OutputSpec
	_cmd = "mia-2dstackfilter"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dstackfilter()
	print( mia_prog.cmdline)
