# This file was generated by running 'miaxml2nipype.py /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/doc/mia-3dimageaddattributes.xml /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_3dimageaddattributes.py'
# '/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_3dimageaddattributes.py' can be created by running 'mia-3dimageaddattributes --help-xml >/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_3dimageaddattributes.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dimageaddattributes_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	attr = traits.File( desc="""2D image providing the attributes""", argstr="--attr %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output image(s) with the added attributes", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dimageaddattributes_OutputSpec(TraitedSpec):
	out_file = File(desc="output image(s) with the added attributes", exists = True )


#
# Task class specification
#
class mia_3dimageaddattributes(CommandLine):
	input_spec = mia_3dimageaddattributes_InputSpec
	output_spec = mia_3dimageaddattributes_OutputSpec
	_cmd = "mia-3dimageaddattributes"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dimageaddattributes()
	print( mia_prog.cmdline)
