# This file was generated by running 'miaxml2nipype.py /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/doc/mia-multihist.xml /build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_multihist.py'
# '/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_multihist.py' can be created by running 'mia-multihist --help-xml >/build/mia-DZma7T/mia-2.4.6/obj-powerpc64le-linux-gnu/src/mia_multihist.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_multihist_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	min = traits.Float( desc="""minimum of histogram range""", argstr="--min %f" )
	max = traits.Float( desc="""maximum of histogram range""", argstr="--max %f" )
	bins = traits.Int( desc="""number of histogram bins, set to zero to create a bin for each intensity value available in the input data. In this case the histogram range is also evaluated automatically""", argstr="--bins %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_histogram = File(desc="output file name", argstr="--out-histogram %s" , mandatory = True )

#
# Output specification
#
class mia_multihist_OutputSpec(TraitedSpec):
	out_histogram = File(desc="output file name", exists = True )


#
# Task class specification
#
class mia_multihist(CommandLine):
	input_spec = mia_multihist_InputSpec
	output_spec = mia_multihist_OutputSpec
	_cmd = "mia-multihist"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_histogram']=os.path.abspath(self.inputs.out_histogram)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_multihist()
	print( mia_prog.cmdline)
